You are not logged in.

#151 2019-09-21 16:51:40

twoion
ほやほや
Registered: 2015-08-10
Posts: 2,502

Re: The great yad hacking thread

achim wrote:

Hello everybody,

I have installed a YAD script on a notebook with the operating system Linux Mint 18.3 - 64 Bit, in which the code line "--no-buttons --close-on-unfocus" does not work. Therefore, a question: does anyone have a similar problem or knows a solution? Here is the code:

#!/bin/sh
#
# Start-Center für verschiedene YAD-Scripts
#
TEXT="<span foreground='blue'><b><big><big>
Linux Tools

Bitte einen Modus wählen:
</big></big></b></span>"

yad --borders=50 --center --columns=2 --window-icon="$HOME/.icons/system22.png" --title="Achim's Linux-Tools Start Center" --form \
--width=800 --height=500 --fixed --text="$TEXT" \
--image="gtk-execute" \
--image-on-top \
--field="Backup / Restore":fbtn "tback.sh" \
--field="Handy auslesen":fbtn "tcopycam.sh" \
--field="Änderungsdatum Bilder":fbtn "toedat.sh" \
--no-buttons --close-on-unfocus

Greetings,
achim

Just state your yad version

yad --version

chances are you're using a version where the feature is not present.


A silent kite against the blue, blue sky

Offline

#152 2019-09-21 18:02:08

achim
Member
Registered: 2019-08-23
Posts: 16

Re: The great yad hacking thread

That will be so. It is the version 0.27 from the package of .Linux-Mint 18.3. Oddly, my desktop PC with Tower, also LM 18.3, uses version 0.39. Can I actually install a higher version without problems?

Offline

#153 2019-09-22 12:36:21

twoion
ほやほや
Registered: 2015-08-10
Posts: 2,502

Re: The great yad hacking thread

achim wrote:

That will be so. It is the version 0.27 from the package of .Linux-Mint 18.3. Oddly, my desktop PC with Tower, also LM 18.3, uses version 0.39. Can I actually install a higher version without problems?

YAD is at 4.1 now (they jumped from 0.41 or so straight up). We've been shipping updated yad versions in BL Helium for a while and never had forward-incompatibilities. You should be able to install the higher version. Unless you use a package, remember to install into /usr/local though.


A silent kite against the blue, blue sky

Offline

#154 2019-09-22 16:27:08

achim
Member
Registered: 2019-08-23
Posts: 16

Re: The great yad hacking thread

thanks

Offline

Board footer

Powered by FluxBB